﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="index.aspx.cs" Inherits="aspnet_jquery_populate_cascading_dropdownlist_index" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Populate Cascading Dropdownlist with jQuery AJAX</title>
    <link rel="icon" type="image/png" href="http://www.yogihosting.com/wp-content/themes/yogi-yogihosting/Images/favicon.ico" />
    <meta charset="utf-8" />
    <style>
        body {
            background: #111 no-repeat;
            background-image: -webkit-gradient(radial, 50% 0, 150, 50% 0, 300, from(#444), to(#111));
        }

        h1, h2, h3 {
            text-align: center;
            color: #FFF;
        }

            h2 a {
                color: #0184e3;
                text-decoration: none;
            }

                h2 a:hover {
                    text-decoration: underline;
                }

            h3 a {
                color: #00e8ff;
                text-decoration: none;
            }

        .container {
            width: 960px;
            margin: auto;
            color: #FFF;
            font-size: 25px;
        }

            .container h3 {
                font-size: 25px;
                text-decoration: underline;
                text-align: left;
            }

            .container #content {
                border: dashed 2px #CCC;
                padding: 10px;
            }

                .container #content #gridViewDiv {
                    padding-top: 20px;
                }

                .container #content #gridViewDiv {
                    margin-top: 20px;
                }

                    .container #content #gridViewDiv tr:nth-child(1) {
                        background: #0184e3;
                    }

                .container #content .imageDiv {
                    text-align: center;
                }

                    .container #content .imageDiv img {
                        display: none;
                    }

        #reset {
            padding: 5px 10px;
            background: #4CAF50;
            border: none;
            color: #FFF;
            cursor: pointer;
        }

            #reset:hover {
                color: #4CAF50;
                background: #FFF;
            }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <h1>Populate Cascading Dropdownlist with jQuery AJAX</h1>
        <h2><a href="http://www.yogihosting.com/populate-cascading-dropdownlist-with-ajax/">Read the tutorial on YogiHosting » </a>
            <button id="reset">Reset »</button></h2>
        <h3>Important Link - <a href="http://www.yogihosting.com/jquery-ajax/">jQuery AJAX</a></h3>
        <div class="container">
            <div id="content">
                <h3>Cascading Dropdownlist</h3>
                <asp:DropDownList ID="categoryDropDownList" runat="server" />
                <asp:DropDownList ID="productDropDownList" runat="server" />
                <div class="imageDiv">
                    <img src="loading.gif" />
                </div>
            </div>
        </div>
        <!—Reference to jQuery-->
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
        <script>
            $(document).ready(function () {
                $("#reset").click(function (e) {
                    $("#gridViewDiv").html("");
                });

                $("#categoryDropDownList").change(function (e) {
                    $.ajax({
                        type: "POST",
                        url: "index.aspx/bindproduct",
                        contentType: "application/json; charset=utf-8",
                        data: '{"categoryId":"' + $(this).val() + '"}',
                        dataType: "json",
                        success: function (result, status, xhr) {
                            $("#productDropDownList").html(result.d);
                        },
                        error: function (xhr, status, error) {
                            alert("Result: " + status + " " + error + " " + xhr.status + " " + xhr.statusText)
                        }
                    });
                });

                $(document).ajaxStart(function () {
                    $("img").show();
                });

                $(document).ajaxStop(function () {
                    $("img").hide();
                });
            });
        </script>
    </form>
</body>
</html>
